import os

import json

default_config = {
    'filename': '/tmp/interp.log',
    'level': 'debug',
    'size': 102400,
    'logbackup': 10,
    'pypath': None,
}

try:
    with open(os.path.expanduser('~/.config/interp.json')) as config_file:
        d = json.load(config_file)
except IOError as e:
    d = {}

config = dict(default_config.items() + d.items())
